Subject: bug#67269: 30.0.50; italic face fallback does not assume italic properties

From: Po Lu <[email-masked]>
Date: Mon, 20 Nov 2023 08:22:35 +0800

Eli Zaretskii <[email-masked]> writes:

> Then maybe we should change the default fontset's definition on
> Android (if those are the systems you have in mind).  We already do
> that for w32, see w32-standard-fontset-spec as opposed to
> standard-fontset-spec.

The systems I have in mind aren't only Android: Noto Sand Mono is the
default (or only) Monospace font on many GNU/Linux systems as well, and
I've also witnessed DejaVu Sans Mono being installed without an Italic
variant.

> I don't understand how shr-tag-i is relevant.  I'm probably missing
> something.

It combines a variable pitch face with italic, and so loses when the
italic face doesn't support slant properties, even if the variable pitch
one does.